> ## Documentation Index
> Fetch the complete documentation index at: https://docs.signalhire.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Company Name Search

> Look up a company by ID or slug to get its identifier and name.

Use this endpoint to resolve a company name or slug to a stable numeric ID. The result can be used with other Company API endpoints.

This endpoint does **not** consume any credits.

**Endpoint:** `GET https://www.signalhire.com/api/v1/company/findById`

## Request Parameters

<ParamField header="apikey" type="string" required>
  Secret API key. See [Authentication](/authentication).
</ParamField>

<ParamField query="id" type="string" required>
  Company ID (numeric) or company slug. Examples: `1033`, `accenture`.
</ParamField>

## Request Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET \
  -H 'apikey: your_secret_api_key' \
  'https://www.signalhire.com/api/v1/company/findById?id=accenture'
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
  "https://www.signalhire.com/api/v1/company/findById",
  headers={"apikey": "your_secret_api_key"},
  params={"id": "accenture"}
  )
  ```

  ```javascript Node.js theme={null}
  const axios = require('axios');

  const response = await axios.get(
  'https://www.signalhire.com/api/v1/company/findById',
  {
      headers: { apikey: 'your_secret_api_key' },
      params: { id: 'accenture' }
  }
  );
  ```

  ```java Java theme={null}
  import java.net.http.*;
  import java.net.URI;

  HttpClient client = HttpClient.newHttpClient();

  HttpRequest request = HttpRequest.newBuilder()
  .uri(URI.create("https://www.signalhire.com/api/v1/company/findById?id=accenture"))
  .header("apikey", "your_secret_api_key")
  .GET()
  .build();

  HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
  ```

  ```ruby Ruby theme={null}
  require 'net/http'

  uri = URI('https://www.signalhire.com/api/v1/company/findById?id=accenture')
  http = Net::HTTP.new(uri.host, uri.port)
  http.use_ssl = true

  request = Net::HTTP::Get.new(uri)
  request['apikey'] = 'your_secret_api_key'

  response = http.request(request)
  ```
</CodeGroup>

## Response Example (HTTP 200)

```json theme={null}
{
    "id": 1033,
    "slug": "accenture",
    "company": "Accenture"
}
```

<ParamField body="id" type="integer">
  Numeric company ID. Use this with other Company API endpoints.
</ParamField>

<ParamField body="slug" type="string">
  URL-friendly company identifier. Can be used interchangeably with `id` in other endpoints.
</ParamField>

<ParamField body="company" type="string">
  Company display name.
</ParamField>

## Response Codes

| Code  | Description                                      |
| ----- | ------------------------------------------------ |
| `200` | Company found.                                   |
| `403` | Company API access not enabled for this account. |
| `404` | Company not found.                               |
| `422` | `id` parameter missing.                          |
